[Launch]
ProgramExecutable=MasterPDFEditor\MasterPDFEditor.exe
SinglePortableAppInstance=true
DirectoryMoveOK=yes

[Activate]    
Registry=true

[RegistryKeys]
Master PDF Editor 5=HKCU\SOFTWARE\Code Industry\Master PDF Editor 5
-=HKCU\SOFTWARE\Classes\.pdf
-=HKCU\SOFTWARE\Classes\Applications

[RegistryCleanupIfEmpty]
1=HKCU\SOFTWARE\Code Industry

[DirectoriesMove]
Local\Master PDF Editor\stamps=%LOCALAPPDATA%\Master PDF Editor\stamps
Local\Master PDF Editor\tesseract-5=%LOCALAPPDATA%\Master PDF Editor\tesseract-5

[DirectoriesCleanupIfEmpty]
1=%LOCALAPPDATA%\Master PDF Editor

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\Master PDF Editor 5.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\Master PDF Editor 5.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\Master PDF Editor 5.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\